Package org.multiverse.api

## Enum TxnStatus

- java.lang.Object
- - java.lang.Enum<TxnStatus>
  - - org.multiverse.api.TxnStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<TxnStatus>`

      public enum TxnStatus
      extends Enum<TxnStatus>

  An enumeration of all possible states a `Txn` can have.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Aborted` | When a Txn failed to commit.
    `Active` | When a Txn is running.
    `Committed` | When a Txn successfully committed.
    `Prepared` | When the Txn has been checked for conflicts and all resources have been claimed to make sure that a commit is going to succeed.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isAlive()` | Checks if the Txn still is active/prepared.
    `static TxnStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TxnStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Active

          public static final TxnStatus Active

      When a Txn is running.

    - #### Prepared

          public static final TxnStatus Prepared

      When the Txn has been checked for conflicts and all resources have been claimed to make sure that a commit is going to succeed.

    - #### Aborted

          public static final TxnStatus Aborted

      When a Txn failed to commit.

    - #### Committed

          public static final TxnStatus Committed

      When a Txn successfully committed.

  - ### Method Detail

    - #### values

          public static TxnStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TxnStatus c : TxnStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TxnStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isAlive

          public boolean isAlive()

      Checks if the Txn still is active/prepared.
      Returns:
        true if the TxnStatus is active or prepared.